# $Revision: 1.15 $, $Date: 2010/11/11 06:58:14 $
Summary:	xkill application to kill a client by its X resource
Summary(pl.UTF-8):	Aplikacja xkill do zabijania klientów poprzez ich zasoby X
Name:		xorg-app-xkill
Version:	1.0.3
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xkill-%{version}.tar.bz2
# Source0-md5:	e7f0d57b6ba49c384e9cf8c9ff3243c1
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
# just xmuu
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xkill is a utility for forcing the X server to close connections to
clients. This program is very dangerous, but is useful for aborting
programs that have displayed undesired windows on a user's screen.

%description -l pl.UTF-8
Aplikacja xkill to narzędzie zmuszające serwer X do zamknięcia
połączeń z klientami. Ten program jest bardzo niebezpieczny, ale
przydatny do przerywania programów, które wyświetliły niepożądane
okienka na ekranie użytkownika.

%prep
%setup -q -n xkill-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xkill
%{_mandir}/man1/xkill.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-xkill.spec,v $
Revision 1.15  2010/11/11 06:58:14  qboosh
- updated to 1.0.3

Revision 1.14  2009/10/19 15:59:06  qboosh
- update to 1.0.2
- real descriptions

Revision 1.13  2008/07/27 23:02:31  arekm
- release 2

Revision 1.12  2007-02-12 22:09:23  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.10  2006/10/15 20:03:43  qboosh
- use individual dir, more verbose files, release 1

Revision 1.9  2006/01/12 15:10:59  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.8  2005/12/13 15:23:49  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/22 08:31:24  qboosh
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:45  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:42  arekm
- modular xorg specs

* Sun Aug 14 2005 13:59:02  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- fixed Group
- defined %%{_prefix} and %%{_mandir}
- added xkill-man.patch
- added BR: libXmu-devel
- release 0.02

* Mon Aug  8 2005 11:30:41  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
